Bug 429483 - Review Request: o3read - Standalone converter for OpenOffice.org documents
Review Request: o3read - Standalone converter for OpenOffice.org documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: 398321 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 17:26 EST by Deji Akingunola
Modified: 2009-08-19 17:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 19:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-01-20 17:26:02 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/o3read/o3read.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/o3read/o3read-0.0.4-1.fc9.src.rpm
Description: o3read is (a standalone) set of utilities for converting OpenOffice.org writer 
and calc documents to text, html, and a dump of the parse tree.
It doesn't depend on OpenOffice or any other external tools or libraries.
Comment 1 Deji Akingunola 2008-01-20 17:27:25 EST
*** Bug 398321 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2008-01-21 03:13:22 EST
This is pretty simple; it builds fine, rpmlint is silent and I can't fine any
issues.

* source files match upstream:
   3704b448099d3396bec4cf503c298628c815703aae12bfcddbac4444bc786430  
   o3read-0.0.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane.
* %check is not present; no test suite upstream.  I did some light testing and 
  things seem to work as advertised.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Leszek Matok 2008-01-21 03:25:49 EST
This package looks very promising. It basically is everything I've asked for! :)

I can't really review the spec, but it builds, installs and works (at least
o3totxt) under F8 just fine.

After this packages passes the review, are you willing to contact Midnight
Commander's maintainer to add a dependency on o3read, which is the second part
of my proposal? :)
Comment 4 Deji Akingunola 2008-01-21 09:57:53 EST
Thanks Jason for the quick review.

@ Leszek,
I think you're in the best position to contact Midnight Commander's maintainer
about the second part of your proposal. I don't use MC, neither do I know how
o3read (o3totxt) is useful for it.
Comment 5 Deji Akingunola 2008-01-21 09:59:39 EST
New Package CVS Request
=======================
Package Name: o3read
Short Description: Standalone converter for OpenOffice.org documents
Owners: deji
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-21 12:27:06 EST
cvs done.
Comment 7 Deji Akingunola 2008-01-21 19:46:58 EST
Successfully built for rawhide.
Comment 8 Deji Akingunola 2009-08-18 10:56:44 EDT
Package Change Request
======================
Package Name: o3read
New Branches: EL-4 EL-5
Owners: deji
Comment 9 Jason Tibbitts 2009-08-19 17:03:44 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.